%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           telepathy-farsight
Version:        0.0.12
Release:        1
BuildArch:	i686
Summary:        Telepathy client to handle media streaming channels

Group:          System/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
# Workaround broken private require. https://bugzilla.redhat.com/show_bug.cgi?id=426106
# Patch0:         %{name}-broken-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  farsight2-devel
BuildRequires:  gst-python gstreamer10-devel libxml2-devel python26-devel python26-pygobject-devel
# Needed to remove rpath
BuildRequires:  chrpath


%description
%{name} is a Telepathy client that uses Farsight and GStreamer to
handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.


%package        python
Summary:        Python binding for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    python
Python bindings for %{name}.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:       glib-devel
Requires:       dbus-glib-devel
Requires:       farsight2-devel
Requires:       telepathy-filesystem
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# %patch0 -p1 -b .pkgconfig


%build
%configure --disable-static PYTHON=/usr/bin/python%{PYVER} 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Remove rpath
chrpath --delete $RPM_BUILD_ROOT%{python_sitearch}/*.so


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/*.so.*


%files python
%defattr(-,root,root,-)
%{python_sitearch}/*.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/telepathy-1.0/%{name}/
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.12-1
- Initial CCux package release
